Cyan Web API - Version 1


GET api/deviceGroupApplicationVersions?{deviceGroupId}

            Gets the DeviceGroupApplicationVersions for a specific DeviceGroup
            

Request Information

Parameters

NameDescriptionAdditional information
deviceGroupId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "deviceGroupId": "b232ba66-5752-45c3-a8d0-fe70d7db75e7",
    "applicationVersionId": "22b21262-71d3-4757-93c9-c7151d1f3638",
    "createdDateUtc": "2026-09-14T10:43:50.4378496+00:00",
    "updatedDateUtc": "2026-09-14T10:43:50.4378496+00:00"
  },
  {
    "deviceGroupId": "b232ba66-5752-45c3-a8d0-fe70d7db75e7",
    "applicationVersionId": "22b21262-71d3-4757-93c9-c7151d1f3638",
    "createdDateUtc": "2026-09-14T10:43:50.4378496+00:00",
    "updatedDateUtc": "2026-09-14T10:43:50.4378496+00:00"
  },
  {
    "deviceGroupId": "b232ba66-5752-45c3-a8d0-fe70d7db75e7",
    "applicationVersionId": "22b21262-71d3-4757-93c9-c7151d1f3638",
    "createdDateUtc": "2026-09-14T10:43:50.4378496+00:00",
    "updatedDateUtc": "2026-09-14T10:43:50.4378496+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfDeviceGroupApplicationVersionRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <DeviceGroupApplicationVersionRepresentation>
    <CreatedDateUtc>2026-09-14T10:43:50.4378496+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-09-14T10:43:50.4378496+00:00</UpdatedDateUtc>
    <ApplicationVersionId>22b21262-71d3-4757-93c9-c7151d1f3638</ApplicationVersionId>
    <DeviceGroupId>b232ba66-5752-45c3-a8d0-fe70d7db75e7</DeviceGroupId>
  </DeviceGroupApplicationVersionRepresentation>
  <DeviceGroupApplicationVersionRepresentation>
    <CreatedDateUtc>2026-09-14T10:43:50.4378496+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-09-14T10:43:50.4378496+00:00</UpdatedDateUtc>
    <ApplicationVersionId>22b21262-71d3-4757-93c9-c7151d1f3638</ApplicationVersionId>
    <DeviceGroupId>b232ba66-5752-45c3-a8d0-fe70d7db75e7</DeviceGroupId>
  </DeviceGroupApplicationVersionRepresentation>
  <DeviceGroupApplicationVersionRepresentation>
    <CreatedDateUtc>2026-09-14T10:43:50.4378496+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-09-14T10:43:50.4378496+00:00</UpdatedDateUtc>
    <ApplicationVersionId>22b21262-71d3-4757-93c9-c7151d1f3638</ApplicationVersionId>
    <DeviceGroupId>b232ba66-5752-45c3-a8d0-fe70d7db75e7</DeviceGroupId>
  </DeviceGroupApplicationVersionRepresentation>
</ArrayOfDeviceGroupApplicationVersionRepresentation>